Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

test/test-applier.rb#normalize_source requires keep option supported test/unit/data. #126

Closed

Conversation

@dai-vdr
Copy link

commented Sep 10, 2019

Debian has only test-unit 3.2.8 currently and rabbit 3.0.0 has failed to test with test-unit 3.2.8:

/usr/lib/ruby/vendor_ruby/test/unit/data.rb:67:in `data': wrong number arguments(3 for 1..2) (ArgumentError)
	from /tmp/autopkgtest-lxc.rnohdrmy/downtmp/build.5Ts/real-tree/test/test-applier.rb:33:in `block in <class:RabbitApplierTest>'
	from /usr/lib/ruby/vendor_ruby/test/unit/testcase.rb:379:in `class_eval'
	from /usr/lib/ruby/vendor_ruby/test/unit/testcase.rb:379:in `sub_test_case'
	from /tmp/autopkgtest-lxc.rnohdrmy/downtmp/build.5Ts/real-tree/test/test-applier.rb:28:in `<class:RabbitApplierTest>'
	from /tmp/autopkgtest-lxc.rnohdrmy/downtmp/build.5Ts/real-tree/test/test-applier.rb:19:in `<top (required)>'

Rabbit 3.0.0's test/test-applier.rb#normalize_source requires keep option supported test/unit/data with test-unit >= 3.2.9.

@kou

This comment has been minimized.

Copy link
Member

commented Sep 11, 2019

Is it OK that you can't run Rabbit's test on Debian?

@dai-vdr

This comment has been minimized.

Copy link
Author

commented Sep 11, 2019

All autopkgtest failures considered RC for bullseye.
But I will ask debian-ruby ML to update test-unit.
If Debian's test-unit is updated to > 3.2.8, this pull-req is not required.

@kou

This comment has been minimized.

Copy link
Member

commented Sep 11, 2019

Thanks.
We can omit tests that need test-unit 3.2.9 until Debian ships test-unit 3.2.9 or later.

@dai-vdr

This comment has been minimized.

Copy link
Author

commented Sep 11, 2019

@kou

This comment has been minimized.

Copy link
Member

commented Sep 12, 2019

Thanks. Then can we close this pull request?

@dai-vdr

This comment has been minimized.

Copy link
Author

commented Sep 12, 2019

Thank you for your support. I closed it.

@dai-vdr dai-vdr closed this Sep 12, 2019

@dai-vdr dai-vdr deleted the dai-vdr:tighten_dep_version_test_unit branch Sep 12, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.